<?php
/*
Plugin Name: Theme Switch
Plugin URI: http://www.nkuttler.de/nkthemeswitch/
Author: Nicolas Kuttler
Author URI: http://www.nkuttler.de/
Description: Use different wordpress theme for logged in user. Nice for theme development.
Version: 0.01
*/

function nkthemeswitch($template = '') {
	if(current_user_can(get_option('nkthemeswitch_level'))) {
		$template = get_option('nkthemeswitch_theme');
	}
	return $template;
}
add_filter('template', 'nkthemeswitch');
add_filter('stylesheet', 'nkthemeswitch');

/* the be nice to users */

// Hook for adding admin menus
add_action('admin_menu', 'nkthemeswitch_add_pages');
function nkthemeswitch_add_pages() {
	add_options_page('Theme Switch', 'Theme Switch', 8, 'nkthemeswitch', 'nkthemeswitch_options_page');
	function nkthemeswitch_options_page() { ?>
		<div class=wrap>
		<h2>Theme Switch</h2>
		<p><small>nkthemeswitch</small></p>
		<p>
		This plugin allows you to use a different template for logged in users. I use it to tweak my templates online without needing to set up a special development server.
		Please refer to <a href="http://codex.wordpress.org/Roles_and_Capabilities">Roles and Capabilities</a> if you want to know more about the level settings. <tt>level_10</tt> simply means admin users.
		</p>
		<p>
		Feel free to send me feedback, patches, feature requests etc. to <a href="mailto:wp@nicolaskuttler.de">my mail address</a>.
		</p>
		<p>
		<?php
			if ( $_POST['nkthemeswitch_level'] ) {
				update_option('nkthemeswitch_level', $_POST['nkthemeswitch_level']);
				echo "Level changed to " . get_option('nkthemeswitch_level');
			}
			echo '<br/>';
			if ( $_POST['nkthemeswitch_theme'] ) {
				update_option('nkthemeswitch_theme', $_POST['nkthemeswitch_theme']);
				echo "Theme changed to " . get_option('nkthemeswitch_theme');
			}
		?>
		</p>
	<form action="options-general.php?page=nkthemeswitch" method="post">
	Show alternate template for levels &gt;=
		<select name="nkthemeswitch_level" >
		<?php
			$select = get_option('nkthemeswitch_level'); 
			echo $select;
			for ($i=1 ; $i <= 10; $i++) {
				if ( 'level_' . $i == $select ) {
					echo "<option selected>level_$i</option>\n";
				}
				else {
					echo "<option>level_$i</option>\n";
				}
			}
		?>
		</select>
		<br />
		Which template should those users see instead?
		<select name="nkthemeswitch_theme" >
		<?php
			$select = get_option('nkthemeswitch_theme');
			$dir = get_theme_root();
			$handle = opendir($dir);
			if ($handle) {
				while (false !== ($file = readdir($handle))) {
					if ($file != '.' && $file != '..') {
						if ( $file == $select ) {
							echo "<option selected>$file</option>\n";
						}
						else {
							echo "<option>$file</option>\n";
						}
					}
				}
			}
			closedir($handle);
		?>
		</select>
		<br />
		<input type="submit" value="Update settings">
	</form>
		<?php
	//add_option('user level', 'level_10');

	}
}


?>
